#ifndef DATEEDIT_H
#define DATEEDIT_H
#include <QDateEdit>
#include <QStyle>
#include <QDBusInterface>

class DateEdit : public QDateEdit {
    Q_OBJECT
public :
    DateEdit(QWidget *parent = nullptr);
    ~DateEdit();
    QPixmap loadSvg(const QString &path, int size);
    QPixmap drawSymbolicColoredPixmap(const QPixmap &source);
private Q_SLOTS:
    void mode_change_signal_slots(bool b);
protected:
    void paintEvent(QPaintEvent *e);
    bool eventFilter(QObject *obj, QEvent *event) override;
private:
    bool hoverFlag = false;
    bool focusFlag = false;
    QDBusInterface *m_statusSessionDbus = nullptr;
Q_SIGNALS:
    void changeDate();
};

#endif // DATEEDIT_H
